<?php class controller_addon_tinymce extends addon {
	function action_index() {

		$this->page['head'] .= '

<script src="'.SITE_URL . '/modules/addons/tinymce/tinymce.min.js"></script>
<script>

  tinymce.init({
    selector: "textarea",
    theme: "modern",
    height: 500,
    language: "ru",
    plugins: [
         "advlist autolink link image lists charmap print preview hr anchor pagebreak",
         "searchreplace wordcount visualblocks visualchars insertdatetime media template nonbreaking",
         "table contextmenu directionality paste textcolor responsivefilemanager code"
   ],
   toolbar1: "undo redo | bold italic strikethrough | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | styleselect fontselect fontsizeselect",
   toolbar2: "| responsivefilemanager | link unlink anchor | image media | forecolor backcolor  | print preview template code ",
   image_advtab: true ,
   relative_urls: true,
   

   external_filemanager_path:"'.SITE_URL . '/modules/addons/tinymce/filemanager/",
   filemanager_title:"Responsive Filemanager" ,
   external_plugins: { "filemanager" : "'.SITE_URL . '/modules/addons/tinymce/filemanager/plugin.min.js"},
   templates: [
			    { title: "Акция (универсльный код)", content: "<div class=\"action\" style=\"padding:20px; margin:20px;background:#ea9595;border:1px solid red;font-size:150%;\">Текст акции</div>" },
			    { title: "Акция (бутстрап зеленый)", content: "<div class=\"alert-success\" >Текст акции</div>" }

			]


 });
  			
  		</script>
    ';
		return $this->page;
	}

} 